<mat-grid-tile-header >
        
  <div class="div-mgt-header">
      <h2>
      Neues Tool anbieten:
         
      </h2>
  </div>

</mat-grid-tile-header>

<div class="body-div10">
  
  <!-- Überschriften-->

  <mat-grid-list cols = "2" rowHeight = "40px">   
      <mat-grid-tile [colspan] = "1" [rowspan] = "1"> 
          <h2>Eingabe:</h2>
      </mat-grid-tile>
      <mat-grid-tile [colspan] = "1" [rowspan] = "1"> 
          <h2>Vorschau:</h2>
      </mat-grid-tile>
  </mat-grid-list>

<mat-grid-list cols = "2" rowHeight = "420px">
  
  <!-- Vergrößerung des Formulars in der Tile gestaltet sich schwierig // Auslesen der "textarea" klappt nicht-->
  <mat-grid-tile [colspan] = "1" [rowspan] = "1">  

    <form [formGroup]="form">
        
        <!--
        <div class="custom-file" style="margin-top: 20px; margin-bottom: 20px;">
            <input name="myImage" type="file" [(ngModel)]="toolPicture" class="custom-file-input" id="customFile">
            <label class="custom-file-label" for="customFile">Bild auswählen</label>
        </div>
        -->

        <div class="form-group" >
            <input formControlName="toolDescription" id="toolDescription"  type="text" [(ngModel)]="toolDescription"  class="form-control" placeholder="Werkzeugname" required>
            <div *ngIf="f.toolDescription.touched && f.toolDescription.invalid" class="alert alert-danger">
                <div *ngIf="f.toolDescription.errors.required">Name ihres Tools wird benötigt.</div>
                <div *ngIf="f.toolDescription.errors.minlength">Beschreibung ist zu kurz.</div>
            </div>
        </div>
        

        <div class="form-group">
            <textarea  formControlName="toolDescriptionLong" id="toolDescriptionLong" type="text" [(ngModel)]="toolDescriptionLong" class="form-control"  rows="4" placeholder="Beschreibung" required></textarea>
            <div *ngIf="f.toolDescriptionLong.touched && f.toolDescriptionLong.invalid" class="alert alert-danger">

                <div *ngIf="f.toolDescriptionLong.errors.required">Bitte beschreiben Sie Ihr Tool genauer.</div>
                <div *ngIf="f.toolDescriptionLong.errors.minlength">Beschreibung ist zu kurz.</div>

            </div>
        </div>

        <span>
        <button mat-raised-button color="primary" type="submit" (click)="submit()">Neues Tool anbieten</button>
        <button mat-raised-button [routerLink]="['/home']" color="primary" type="reset" class="btn btn-primary" style="margin-left: 20px;">Zurück</button>
        </span>    
        </form>
      
  </mat-grid-tile>


<mat-grid-tile [colspan] = "1" [rowspan] = "1">  
    <!--One mat-card contains:-->
    <mat-card class="orga-card" fxFlex="1 1 calc(20% - 20px)" fxLayout="column">     
        <img mat-card-image src="https://upload.wikimedia.org/wikipedia/commons/8/8d/Neu_bandlogo.svg">
        <mat-card-content >
            <mat-card-title fxLayoutAlign="center center">{{ toolDescription }}</mat-card-title>
            <p>{{toolDescriptionLong}} </p>
        </mat-card-content>
        <mat-card-actions fxFlexAlign="center">
            <button mat-raised-button  color="primary" matBadge="8" matBadgePosition="before" matBadgeColor="accent" >
                So wird Ihr Tool präsentiert
            </button>
        </mat-card-actions>
    </mat-card>  
</mat-grid-tile>

</mat-grid-list>

</div>